import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
//挂在全局
import config from './common/config.js'
Vue.prototype.config=config

import *as Api from './common/api.js'
Vue.prototype.$api=Api

import *as Db from './common/db.js'
Vue.prototype.$db=Db

import store from './store/index.js'
Vue.prototype.$store=store

import * as Common from './common/common.js'
Vue.prototype.$common=Common
// import '@*/common/rem.js'
//配置公共方法
import common from './common/dianji.js'
Vue.prototype.$onMultipleClicks=common.noMultipleClicks;

import uView from "uview-ui/index.js"
Vue.use(uView)
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif